3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class ExceptionX extends Exception { } class ExceptionY extends Exception { } class ExceptionZ extends Exception { } function t() { throw new ExceptionZ(); } try { t(); } catch (Exception $e) { switch(get_class($e)) { case 'ExceptionX': /** fall through */ case 'ExceptionY': /** fall through */ /* handle the ones we want here */ break; default: throw $e; } }
Output for 7.0.0 - 7.1.0
Fatal error: Uncaught ExceptionZ in /in/meYrA:7 Stack trace: #0 /in/meYrA(10): t() #1 {main} thrown in /in/meYrA on line 7
Process exited with code 255.
Output for 5.0.0 - 5.0.2, 5.0.5 - 5.6.28
Fatal error: Uncaught exception 'ExceptionZ' in /in/meYrA:7 Stack trace: #0 /in/meYrA(10): t() #1 {main} thrown in /in/meYrA on line 7
Process exited with code 255.
Output for 5.0.3 - 5.0.4
Fatal error: Uncaught exception 'ExceptionZ' in /in/meYrA:7 Stack trace: #0 /in/meYrA(7): t() #1 /in/meYrA(10): t() #2 {main} thrown in /in/meYrA on line 7
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_NEW in /in/meYrA on line 7
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_NEW in /in/meYrA on line 7
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/meYrA on line 7
Process exited with code 255.